Subject: bug#21634: [External] : bug#21634: text-scale-adjust suggestion

From: Drew Adams <[email-masked]>
Date: Mon, 6 Sep 2021 22:35:06 +0000

> IIUC, the discussion was about making it time out in addition to
> C-g-ing out and not instead of it.

I see.  Sorry I misunderstood, by reading out of context.

I'm still not a fan of having a time-out end an interaction,
in general.  But at least not having to _depend_ on only
that way of quitting is better than nothing.

> My original concern was leaving Emacs in the middle of such an
> interaction, and when you get back to Emacs, you can easily forget
> that you were in the middle of an interaction and be surprised when
> keys don't work as expected.  With indent-rigidly this is even worse
> since the echo-area message disappears leaving you with no indication
> of it being active, which is essentially a mode which is extremely
> un-emacsy.

I think I agree with you about that, FWIW.